Bug 1133185 - Root password setting field changes to password set we try to set blank pass on second attempt.
Summary: Root password setting field changes to password set we try to set blank pass ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 21
Hardware: All
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Shea
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-23 06:13 UTC by himanshu madhavani
Modified: 2014-10-11 06:53 UTC (History)
4 users (show)

Fixed In Version: anaconda-21.48.8-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-11 06:53:45 UTC
Type: Bug


Attachments (Terms of Use)

Description himanshu madhavani 2014-08-23 06:13:50 UTC
Description of problem:

Root password setting field changes to password set we try to set blank pass on second attempt.


Version-Release number of selected component (if applicable): Fedora 21 Test build


How reproducible:
While installation follow the below procedure.

Steps to Reproduce:

1) While setting root password at installation, set any password and commit it by "Done" at the top left corner.
2) Again click on the set the root password and try to set blank pass. ( It accepts blank password )
3) As on checking back to the installation progress page, root password still says that "root pass is set" instead of saying to set root password again. 

Actual results:  After removing password or setting blank password, field for root pass in the installation progress page should show "root password not set"


Expected results: After removing password or setting blank password, field for root pass in the installation progress page should change to "root password not set"


Additional info:

Comment 1 Fedora Update System 2014-10-01 15:35:59 UTC
anaconda-21.48.8-1.fc21, python-blivet-0.61.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-blivet-0.61.3-1.fc21,anaconda-21.48.8-1.fc21

Comment 2 Fedora Update System 2014-10-03 04:00:01 UTC
Package anaconda-21.48.8-1.fc21, python-blivet-0.61.3-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-21.48.8-1.fc21 python-blivet-0.61.3-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11977/python-blivet-0.61.3-1.fc21,anaconda-21.48.8-1.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-10-04 03:22:33 UTC
Package anaconda-21.48.8-1.fc21, python-blivet-0.61.3-1.fc21, pykickstart-1.99.60-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-21.48.8-1.fc21 python-blivet-0.61.3-1.fc21 pykickstart-1.99.60-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11977/pykickstart-1.99.60-2.fc21,python-blivet-0.61.3-1.fc21,anaconda-21.48.8-1.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-10-11 06:53:45 UTC
anaconda-21.48.8-1.fc21, python-blivet-0.61.3-1.fc21, pykickstart-1.99.60-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.